> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-7/v7-0-2-72700.md).

# Version 7.0.2.72700 Changelog (September 30th, 2019)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 7.0.2.72700
* Release Date: September 30th, 2019
* Built with Xcode 11.1 (11A1027)

## New

* This release adds official support for Apple's new PencilKit framework with the [`PTPencilDrawingCreate`](https://sdk.apryse.com/api/ios/Classes/PTPencilDrawingCreate.html) tool. The `PTPencilDrawingCreate` tool allows for the creation of realistic ink drawings, freehand highlights, and more using Apple's standard iOS markup interface and drawing tools.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-dbdf4086699cec1b5243a82cfd4fea027f132fa4%2F84f278de3df190ab72914b9954646062fbde5886-960x720.gif?alt=media)

* iOS 13 Dark Mode is supported by this release.
* Annotations are now updated in real-time when they are resized and moved in the viewer. The appearance and usability of the annotation selection rectangle and resize handles have also been improved with this release.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-2557d0dcaf6916a66e0fc01f0ec4619e8f61151f%2Feea7bf5020d7f3bcc959d6d5f9b2a32b9c7ce53e-631x1367.gif?alt=media)

* The [`PTThumbnailSliderViewController`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailSliderViewController.html) has been updated with an improved appearance and behavior. Thumbnails of the document's pages are shown directly in the control and scrubbing through the pages immediately updates the [`PTPDFViewCtrl`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html)'s current page. It is also possible to use the new slider view outside of the `PTThumbnailSliderViewController` with the new [`PTThumbnailSliderView`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailSliderView.html) class.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-9eea6e9a083d184b8a5d3f6ffaadc3e2bb4306a6%2F4b92b1c8ce8046491c41b0b2d50d8847c2924727-1125x604.png?alt=media)

* The magnification effect shown while tracking touches can be controlled with the [`magnification`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailSliderView.html#/c:objc\(cs\)PTThumbnailSliderView\(py\)magnification) property on the `PTThumbnailSliderView` class. A value of `1.0` disables the effect.
* The `PTThumbnailSliderView` can also be replaced with the legacy `UISlider` appearance and behavior by assigning the `PTThumbnailSliderViewController` class's [`slider`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailSliderViewController.html#/c:objc\(cs\)PTThumbnailSliderViewController\(py\)slider) property to the [`contentView`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailSliderViewController.html#/c:objc\(cs\)PTThumbnailSliderViewController\(py\)contentView) property on the same class.
* This release includes UI components for collaboration. The [`PTCollaborationDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTCollaborationDocumentViewController.html), `PTCollaborationAnnotationViewController`, and `PTCollaborationAnnotationReplyViewController` classes provide a document viewer, annotation list, and annotation reply control for use with the existing collaboration system. The `PTCollaborationDocumentViewController` is the recommended way to integrate the collaboration UI components into a project.
* The long-press menu for selecting tools has been improved with sub-menus for shapes, attachments, and measurements.
* Support for opening files in the [HEIF](https://en.wikipedia.org/wiki/High_Efficiency_Image_File_Format) image format in the [`PTDocumentViewController`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html) class via the [`openDocumentWithURL:`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html#/c:objc\(cs\)PTDocumentViewController\(im\)openDocumentWithURL:) method.
* Initial support for the iOS 13 tap-drag gesture for text selection. This feature will also be refined further in upcoming releases.
* It is now possible to interact more easily with annotations and document content near the top and bottom of the screen in fullscreen mode (toolbars and controls hidden) using the `PTDocumentViewController` class without triggering iOS system gestures for the Notification Center (top), Control Center, etc.
* Numerous UX improvements throughout included components

## Bug fixes

* The [`PTAnnotStyleViewController`](https://sdk.apryse.com/api/ios/Classes/PTAnnotStyleViewController.html) now updates its height when the color picker is shown and again when returning back to the main style screen.
* Improves `PTPDFViewCtrl` memory usage when scrolling through large documents in continuous presentation mode.

## API diff

* The default value of the [`automaticallyHidesControls`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewController.html#/c:objc\(cs\)PTDocumentViewController\(py\)automaticallyHidesControls) property on the `PTDocumentViewController` class has been changed to `NO`. With control auto-hiding disabled, the toolbars and controls can still be hidden by tapping on the page.
* The `enableCollaborationManager:` method and `collaborationManager` properties have been removed from the `PTToolManager` class. To enable a collaboration manager, use the designated initializer on the `PTCollaborationManager` class, which takes a `PTToolManager` and user identifier string. The collaboration manager must also now be retained when not using the `PTCollaborationDocumentViewController` class.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-7/v7-0-2-72700.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
